import { URL } from "node:url";
function getPublicUrlOrPath(isEnvDevelopment, homepage, envPublicUrl) {
  const stubDomain = "https://create-react-app.dev";
  if (envPublicUrl) {
    envPublicUrl = envPublicUrl.endsWith("/") ? envPublicUrl : envPublicUrl + "/";
    const validPublicUrl = new URL(envPublicUrl, stubDomain);
    return isEnvDevelopment ? envPublicUrl.startsWith(".") ? "/" : validPublicUrl.pathname : (
      // 有些应用程序在客户端不使用pushState进行路由。
      // 对于这些应用，可以将 "homepage" 设置为 "." 以启用相对资源路径。
      envPublicUrl
    );
  }
  if (homepage) {
    homepage = homepage.endsWith("/") ? homepage : homepage + "/";
    const validHomepagePathname = new URL(homepage, stubDomain).pathname;
    return isEnvDevelopment ? homepage.startsWith(".") ? "/" : validHomepagePathname : (
      // 有些应用程序在客户端不使用pushState进行路由。
      // 对于这些应用，可以将 "homepage" 设置为 "." 以启用相对资源路径。
      homepage.startsWith(".") ? homepage : validHomepagePathname
    );
  }
  return "/";
}
export {
  getPublicUrlOrPath as default
};
