import path from "node:path";
function createRedirectServedPathMiddleware(servedPath) {
  servedPath = servedPath.slice(0, -1);
  return function redirectServedPathMiddleware(req, res, next) {
    if (servedPath === "" || req.url === servedPath || req.url.startsWith(servedPath)) {
      next();
    } else {
      const newPath = path.posix.join(
        servedPath,
        req.path !== "/" ? req.path : ""
      );
      res.redirect(newPath);
    }
  };
}
export {
  createRedirectServedPathMiddleware as default
};
