import fs from "fs-extra";
import { createRsbuild } from "@rsbuild/core";
import { applyEnv } from "../../common/getEnv.mjs";
import { getRsbuildConfig } from "../config/config.mjs";
import { getPaths } from "../../common/getPaths.mjs";
import { getUserConfig } from "../../webpack/config/getUserConfig.mjs";
process.on("unhandledRejection", (err) => {
  throw err;
});
const inspect = async (mode) => {
  try {
    const userConfig = await getUserConfig();
    const paths = getPaths(userConfig);
    applyEnv(mode, "production", paths);
    const config = await getRsbuildConfig({}, paths);
    const rsbuild = await createRsbuild({
      cwd: process.cwd(),
      rsbuildConfig: config
    });
    await fs.emptyDir(paths.appDist);
    await rsbuild?.inspectConfig({
      verbose: true,
      outputPath: rsbuild.context.distPath,
      writeToDisk: true
    });
  } catch (err) {
    if (err && err.message) {
      console.log(err.message);
    }
    process.exit(1);
  }
};
var inspect_default = inspect;
export {
  inspect_default as default
};
